QGIS Application - Bug report #11220
SVG marker not removed from arrow in composer
2014-09-17 02:10 PM - Spencer Gardner

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.4.0

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 19530

Description

If 1 add a custom SVG marker to my composer there is no way to remove it again without permanently moving to the default or None. For
example, | accidentally assigned my custom marker to the start of the arrow instead of the end. When | removed the path from the text box
for the start marker and copied it to the text box for the end marker, my arrow had my custom marker on both ends. My only options for
removing the marker from the start of the arrow are to delete the arrow and start over, stick with the default arrow head, or have no arrow

heads on either end. Switching off of the SVG option and then returning does not solve the issue.

Associated revisions

Revision 9d0b83ab - 2014-10-19 03:31 AM - Nyall Dawson
[composer] Allow removing svg markers for arrows (fix #11220)
Previous behaviour was that if the start or end marker was cleared
than the old marker was drawn. This made it impossible to remove
an svg marker from the start or end of the line after one had been
assigned.

Also fix a Qt warning caused by trying to draw markers if the marker

sizeis setto 0.

History

#1 - 2014-10-18 06:34 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"9d0b83ab908646db250c810f26263367fe86a1ce".
